Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

Linux VPN client ver 4.6.02 unable to establish VPN to 3015 concentrator

Hey all,

I'm trying to build in IPSec VPN tunnel from Linux system to a 3015 Concentrator.

The Linux system is not behind a firewall. It has a static, Public IP address.

When I execute the 'vpnclient connect <profile>' command, the VPN tunnel immediately fails.

At this point, I don't think the Linux VPN client is working properly. When I debug the VPN client I received the following :

9 12:36:06.389 01/10/2006 Sev=Info/4 CLI/0x43900002

Started vpnclient:

Cisco Systems VPN Client Version 4.6.02 (0030)

Copyright (C) 1998-2004 Cisco Systems, Inc. All Rights Reserved.

Client Type(s): Linux

Running on: Linux 2.6.10-gentoo-r6 #2 SMP Tue Mar 15 10:10:00 PST 2005 i686

10 12:36:06.389 01/10/2006 Sev=Info/4 CM/0x43100002

Begin connection process

11 12:36:06.390 01/10/2006 Sev=Info/4 CM/0x43100004

Establish secure connection using Ethernet

12 12:36:06.390 01/10/2006 Sev=Info/4 CM/0x43100024

Attempt connection with server "63.xxx.xxx.xxx"

13 12:36:06.390 01/10/2006 Sev=Info/4 CVPND/0x43400019

Privilege Separation: binding to port: (500).

14 12:36:06.390 01/10/2006 Sev=Info/4 CVPND/0x43400019

Privilege Separation: binding to port: (4500).

15 12:36:06.390 01/10/2006 Sev=Info/6 IKE/0x4300003B

Attempting to establish a connection with 63.xxx.xxx.xxx.

16 12:36:06.390 01/10/2006 Sev=Debug/9 IKE/0x43000091

Unable to acquire local IP address after 0 attempts (over 136558968 seconds), probably due to network socket failure.

17 12:36:06.390 01/10/2006 Sev=Warning/3 IKE/0x83000065

Generate returned an error: ISAPLAT

I think the problem is related to message 16 (above). Has anyone seen this error before?

As always, thanks for your help.

Mike

2 REPLIES
New Member

Re: Linux VPN client ver 4.6.02 unable to establish VPN to 3015

Does your Linux platform have SMP kernel with it.If so, do not use an SMP kernel with the VPN Client.

I think the Linux VPN Client does not work properly on platforms with an SMP kernel.So, that might also be a reason for this failure.

New Member

Re: Linux VPN client ver 4.6.02 unable to establish VPN to 3015

Hey mmellet,

Thanks for the reply. Yes, this system does have SMP installed on the kernel. Cisco definitely does not support SMP in any Linux VPN client version thus far.

249
Views
0
Helpful
2
Replies
CreatePlease to create content